<?php


return  
    [
        'model' => [
            'model' => \Crm\Plan\Models\Plan::class,
            'table' => 'crm_plan_plans',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'user_type',  'type',  'screen',  'name',  'status',  'order',  'price',  'old_price',  'number_of_products',  'email_quota',  'advertisement',  'seller_leads',  'buyer_leads',  'free_chat',  'branches',  'contacts',  'search_count',  'brand_products',  'subscription_type',  'validity',  'details'],
            'translatables' => [],
            'upload_folder' => 'plan/plan',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'plan::plan.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "screen", 
                "type" => "text", 
                "label" => 'plan::plan.label.screen', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'plan::plan.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "order", 
                "type" => "text", 
                "label" => 'plan::plan.label.order', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'plan::plan.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "old_price", 
                "type" => "text", 
                "label" => 'plan::plan.label.old_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "number_of_products", 
                "type" => "text", 
                "label" => 'plan::plan.label.number_of_products', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email_quota", 
                "type" => "text", 
                "label" => 'plan::plan.label.email_quota', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "advertisement", 
                "type" => "text", 
                "label" => 'plan::plan.label.advertisement', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_leads", 
                "type" => "text", 
                "label" => 'plan::plan.label.seller_leads', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_leads", 
                "type" => "text", 
                "label" => 'plan::plan.label.buyer_leads', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "free_chat", 
                "type" => "text", 
                "label" => 'plan::plan.label.free_chat', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branches", 
                "type" => "text", 
                "label" => 'plan::plan.label.branches', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contacts", 
                "type" => "text", 
                "label" => 'plan::plan.label.contacts', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "search_count", 
                "type" => "text", 
                "label" => 'plan::plan.label.search_count', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "brand_products", 
                "type" => "text", 
                "label" => 'plan::plan.label.brand_products', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "subscription_type", 
                "type" => "text", 
                "label" => 'plan::plan.label.subscription_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "validity", 
                "type" => "text", 
                "label" => 'plan::plan.label.validity', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "details", 
                "type" => "text", 
                "label" => 'plan::plan.label.details', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'plan::plan.label.type',
                "placeholder" => 'plan::plan.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('plan::plan.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'screen',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'plan::plan.label.screen',
                "placeholder" => 'plan::plan.placeholder.screen',
                "rules" => '',
                "options" => function(){
                    return trans('plan::plan.options.screen');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'plan::plan.label.name',
                "placeholder" => 'plan::plan.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.order',
                "placeholder" => 'plan::plan.placeholder.order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'plan::plan.label.price',
                "placeholder" => 'plan::plan.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'old_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'plan::plan.label.old_price',
                "placeholder" => 'plan::plan.placeholder.old_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'number_of_products',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.number_of_products',
                "placeholder" => 'plan::plan.placeholder.number_of_products',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email_quota',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.email_quota',
                "placeholder" => 'plan::plan.placeholder.email_quota',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'advertisement',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.advertisement',
                "placeholder" => 'plan::plan.placeholder.advertisement',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_leads',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.seller_leads',
                "placeholder" => 'plan::plan.placeholder.seller_leads',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_leads',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.buyer_leads',
                "placeholder" => 'plan::plan.placeholder.buyer_leads',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'free_chat',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.free_chat',
                "placeholder" => 'plan::plan.placeholder.free_chat',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branches',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.branches',
                "placeholder" => 'plan::plan.placeholder.branches',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contacts',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.contacts',
                "placeholder" => 'plan::plan.placeholder.contacts',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'search_count',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.search_count',
                "placeholder" => 'plan::plan.placeholder.search_count',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'brand_products',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.brand_products',
                "placeholder" => 'plan::plan.placeholder.brand_products',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'subscription_type',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'plan::plan.label.subscription_type',
                "placeholder" => 'plan::plan.placeholder.subscription_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'validity',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'plan::plan.label.validity',
                "placeholder" => 'plan::plan.placeholder.validity',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'plan::plan.label.details',
                "placeholder" => 'plan::plan.placeholder.details',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'plan/plan/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'plan/plan/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'plan/plan',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'plan/plan',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'plan/plan',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'plan/plan',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'plan::plan.label.created_at',
            'name' => 'plan::plan.label.name',
            'status' => 'plan::plan.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "plan::plan.groups.main",
                'group' => "main.main",
                'title' => "plan::plan.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "plan::plan.groups.details",
                'group' => "main.details",
                'title' => "plan::plan.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "plan::plan.groups.images",
                'group' => "main.images",
                'title' => "plan::plan.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "plan::plan.groups.settings",
                'group' => "main.settings",
                'title' => "plan::plan.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Crm',
            'package' => 'Plan',
            'module' => 'Plan',
        ],

        
        
    ];
