<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCrmPlanPlansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: crm_plan_plans
         */
        Schema::create('crm_plan_plans', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->enum('screen', ['Yes', 'No'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('order')->nullable();
            $table->float('price')->nullable();
            $table->float('old_price')->nullable();
            $table->integer('number_of_products')->nullable();
            $table->integer('email_quota')->nullable();
            $table->integer('advertisement')->nullable();
            $table->integer('seller_leads')->nullable();
            $table->integer('buyer_leads')->nullable();
            $table->tinyInteger('free_chat')->nullable();
            $table->integer('branches')->nullable();
            $table->integer('contacts')->nullable();
            $table->integer('search_count')->nullable();
            $table->integer('brand_products')->nullable();
            $table->float('subscription_type')->nullable();
            $table->integer('validity')->nullable();
            $table->text('details')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('crm_plan_plans');
    }
}
