<?php

namespace Crm\Plan\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PlanResource extends JsonResource
{

    public function itemLink()
    {
        return guard_url('plan/plan') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray($request)
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'slug' => $this->slug,
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'type' => $this->type,
            'screen' => $this->screen,
            'slug' => $this->slug,
            'name' => $this->name,
            'status' => $this->status,
            'order' => $this->order,
            'price' => $this->price,
            'old_price' => $this->old_price,
            'number_of_products' => $this->number_of_products,
            'email_quota' => $this->email_quota,
            'advertisement' => $this->advertisement,
            'seller_leads' => $this->seller_leads,
            'buyer_leads' => $this->buyer_leads,
            'free_chat' => $this->free_chat,
            'branches' => $this->branches,
            'contacts' => $this->contacts,
            'search_count' => $this->search_count,
            'brand_products' => $this->brand_products,
            'subscription_type' => $this->subscription_type,
            'validity' => $this->validity,
            'details' => $this->details,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
                'workflow' => $this->workflows(),
                'actions' => $this->actions(),
            ],
        ];
    }

    /**
     * Get additional data that should be returned with the resource array.
     *
     * @param     \Illuminate\Http\Request  $request
     * @return array
     */
    public function with($request)
    {
        return [
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
                'workflow' => $this->workflows(),
                'actions' => $this->actions(),
            ],
        ];
    }

    /**
     * Get the workflows for the resource.
     *
     * @return array
     */
    private function workflows()
    {
        $arr = [];
                return $arr;

    }
    
    /**
     * Get the actions for the resource.
     *
     * @return array
     */
    private function actions()
    {

        $arr = [];
        
        return $arr;
    }
}
